summaryrefslogtreecommitdiffstats
path: root/devel/dbus/pkg-install
diff options
context:
space:
mode:
authormarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2006-10-08 01:10:08 +0800
committermarcus <marcus@df743ca5-7f9a-e211-a948-0013205c9059>2006-10-08 01:10:08 +0800
commit8d3c62afa842e419e7c21d88bfc66fd664586226 (patch)
tree44853c5a8b7444bca5f58c9ab30266cab730517e /devel/dbus/pkg-install
parent4024d53a5faa313087447f08ce4e6f4132340aed (diff)
downloadmarcuscom-ports-8d3c62afa842e419e7c21d88bfc66fd664586226.tar
marcuscom-ports-8d3c62afa842e419e7c21d88bfc66fd664586226.tar.gz
marcuscom-ports-8d3c62afa842e419e7c21d88bfc66fd664586226.tar.bz2
marcuscom-ports-8d3c62afa842e419e7c21d88bfc66fd664586226.tar.lz
marcuscom-ports-8d3c62afa842e419e7c21d88bfc66fd664586226.tar.xz
marcuscom-ports-8d3c62afa842e419e7c21d88bfc66fd664586226.tar.zst
marcuscom-ports-8d3c62afa842e419e7c21d88bfc66fd664586226.zip
Update dbus to 0.93, add dbus-glib at 0.71, update py-dbus to 0.71, and chase
all dbus dependencies. git-svn-id: svn://creme-brulee.marcuscom.com/ports/trunk@7616 df743ca5-7f9a-e211-a948-0013205c9059
Diffstat (limited to 'devel/dbus/pkg-install')
-rw-r--r--devel/dbus/pkg-install38
1 files changed, 38 insertions, 0 deletions
diff --git a/devel/dbus/pkg-install b/devel/dbus/pkg-install
new file mode 100644
index 000000000..06f47528d
--- /dev/null
+++ b/devel/dbus/pkg-install
@@ -0,0 +1,38 @@
+#!/bin/sh
+
+case $2 in
+POST-INSTALL)
+ USER=messagebus
+ GROUP=${USER}
+ UID=556
+ GID=${UID}
+ PW=/usr/sbin/pw
+
+ if ${PW} group show "${GROUP}" 2>/dev/null; then
+ echo "You already have a group \"${GROUP}\", so I will use it."
+ else
+ if ${PW} groupadd ${GROUP} -g ${GID}; then
+ echo "Added group \"${GROUP}\"."
+ else
+ echo "Adding group \"${GROUP}\" failed..."
+ exit 1
+ fi
+ fi
+
+ if ${PW} user show "${USER}" 2>/dev/null; then
+ echo "You already have a user \"${USER}\", so I will use it."
+ else
+ if ${PW} useradd ${USER} -u ${UID} -g ${GROUP} -h - \
+ -d "/nonexistent" -s /sbin/nologin -c "D-BUS Daemon User"
+ then
+ echo "Added user \"${USER}\"."
+ else
+ echo "Adding user \"${USER}\" failed..."
+ exit 1
+ fi
+ fi
+
+ /usr/bin/install -d -o ${USER} -g ${GROUP} /var/run/dbus
+ exit 0
+ ;;
+esac